Bug 10451 - Consider restricting the roles allowed for the label element
Summary: Consider restricting the roles allowed for the label element
Status: RESOLVED LATER
Alias: None
Product: HTML WG
Classification: Unclassified
Component: pre-LC1 HTML5 spec (editor: Ian Hickson) (show other bugs)
Version: unspecified
Hardware: PC All
: P1 major
Target Milestone: ---
Assignee: steve faulkner
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard:
Keywords: a11y, a11ytf, aria
Depends on:
Blocks: 10066
  Show dependency treegraph
 
Reported: 2010-08-26 10:27 UTC by Maciej Stachowiak
Modified: 2013-01-21 13:21 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Stachowiak 2010-08-26 10:27:36 UTC
For the label element, any role whatsoever is currently allowed. However, it seems like only the following roles make sense:

no role, alert, log, marquee, status, timer
Comment 1 Ian 'Hixie' Hickson 2010-09-07 17:41:54 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: see diff given below
Rationale: I've limited <label> to no roles. I don't understand how any of the roles listed make any sense. <label> is only supposed to be used to label form controls. I couldn't find an appropriate role, but until recently I had just left the elements without appropriate roles mostly unrestricted, and I missed <label> when fixing that recently.
Comment 2 contributor 2010-09-07 17:44:50 UTC
Checked in as WHATWG revision r5427.
Check-in comment: Fix <label>'s ARIA restrictions
http://html5.org/tools/web-apps-tracker?from=5426&to=5427
Comment 3 Martin Kliehm 2010-12-07 15:55:11 UTC
ARIA mapping is further defined in ISSUE-129 and default roles described in http://www.paciellogroup.com/blog/misc/HTML5/aria-html5-proposal.html

There the default role is none, but allowed roles are:
"If specified, role must be alert, log, marquee, presentation, status or timer. Applicable widget attributes and global attributes."

Therefore the fix for this bug differs from the proposal and should be addressed together with ISSUE-129
Comment 4 Martin Kliehm 2010-12-07 16:48:50 UTC
The bug-triage sub-team thinks this is task force priority. Assigning the bug to Cynthia Shelly so that is handled in ISSUE-129.
Comment 5 Ian 'Hixie' Hickson 2010-12-07 21:09:29 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: 

alert, log, marquee, status and timer make no sense for <label>.

presentation is already allowed.

If this is to be handled in an issue, then the bug should not be open.
Comment 6 Michael Cooper 2010-12-15 14:42:08 UTC
This is part of HTML-ISSUE-129. There is some debate taking place actively. Therefore bug triage sub-team thinks this is a HTML A11Y TF priority. Adding a11ytf keyword and assigning to Steve Faulkner for ARIA mapping sub-team.
Comment 7 steve faulkner 2013-01-21 13:21:55 UTC
review for HTML 5.1